Subject: Subaru Cooling System

From: [email-masked]
Date: Tue, 17 Sep 2002 21:01:11 EDT

<PRE>I have a 95 Subaru Legacy and have been experiencing over heating.  I have 
replaced the radiator, the water pump, the thermostat (several), the radiator 
hose and now I had Head Gaskets replaced, and it is still over heating.  What 
could be the trouble?
-
To unsubscribe from this list: send the line "unsubscribe zmailer" in
the body of a message to [email-masked]